INTERFACE
SUBROUTINE CPG_GP_TL(&
 & KST,KEND,KSTC,KENDC,KSTGLO,LDLFSTEP,LDLADNMI,PTE,PGM,&
 & PGFL,&
 & PGMV,PGMVS,&
 & PRE0,PRE0L,PRE0M,PRE0F,PDELP0,PRDELP0,PLNPR0,PALPH0,&
 & PHI0,PHIF0,PCP0,PR0,PRTGR0,PKAP0,&
 & PEVEL0,PVVEL0,PSDVBC0,PKENE0,&
 & PSGRTL,PSGRTM,PGPHL,PGPHM,&
 & PSDIV0,PDIVP0,PRT0L,PRT0M,&
 & PRE9,PRE9F,PDELP9,PRDELP9,PLNPR9,PALPH9,PHI9,PHIF9,PCP9,PR9,&
 & PGPPC,PB2,&
 & PGMVT1,PGMVT1S,PGFLT1,&
 & PGFL5,PGMV5,PGMV5S,&
 & PRE5,PRE5L,PRE5M,PRE5F,PDELP5,PRDELP5,PLNPR5,PALPH5,PCP5,PR5,PRTGR5,&
 & PVVEL5,PSDIV5,PRT5,PRT5L,PRT5M,&
 & PRPRE5,PRPREF5,PRPP5,&
 & PALPH5L,PALPH5M,PALPHPL5L,PALPHPL5M,PLNPR5L,PLNPR5M,&
 & PRNHPPI5,PHI5FL,PHI5FM,&
 & PCOEFD5,PCOEFA5,PCOEFAPL5,&
 & PTT95,PRE95,PRE95F,PDELP95,PRDELP95,PLNPR95,PALPH95,PR95,&
 & PRPRE95,PRPP95&
 & ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NPROMNH ,NFGPPC
USE YOMDIMT , ONLY : NPROMT
USE YOMSC2 , ONLY : NFLDSLB2
USE YOM_YGFL , ONLY : YGFL ,YQ
USE YOMGMV , ONLY : NDIMGMV,NDIMGMVS,YT0,YT9,YT5,YT1
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTC
INTEGER(KIND=JPIM),INTENT(IN) :: KENDC
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDLFSTEP
LOGICAL ,INTENT(IN) :: LDLADNMI
REAL(KIND=JPRB) ,INTENT(IN) :: PTE
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHIF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRTGR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKAP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDVBC0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKENE0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPHL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPHM(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSDIV0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIVP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDELP9(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDELP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLNPR9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHI9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHIF9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGPPC(NPROMA,NFGPPC+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL5(NPROMA,NFLEVG,YGFL%NDIM5)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV5S(NPROMA,YT5%NDIMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5L(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5M(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDIV5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRE5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPREF5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHPL5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHPL5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRNHPPI5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI5FL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI5FM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFD5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFA5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFAPL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE95(NPROMT,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE95F(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP95(NPROMT,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PR95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRE95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPP95(NPROMT,NFLEVG)
END SUBROUTINE CPG_GP_TL
END INTERFACE
